Websites (Monitors)

Retrieve all websites (monitors)

GET https://pingping.io/webapi/monitors

Headers

NameTypeDescription
AuthenticationstringDon’t forget to authenticate
200
[
  {
    "id": 3,
    "identifier": "iolqRzxr",
    "alias": "google.com",
    "scheme": "https",
    "host": "google.com",
    "port": "",
    "url": "https://google.com/",
    "status_page": "https://pingping.io/iolqRzxr",
    "checks": {
      "uptime": {
        "id": 5,
        "status": "ok",
        "error": null,
        "interval": 900,
        "is_enabled": true,
        "notification_threshold": 0,
        "last_check_at": "2019-10-23 14:56:03",
        "meta": {
          "http_status_code": 200,
          "average_uptime_percentage": 100,
          "average_response_time": 0.17569,
          "offline_since": null
        }
      },
      "certificate_health": {
        "id": 6,
        "status": "ok",
        "error": null,
        "interval": 900,
        "is_enabled": true,
        "notification_threshold": 900,
        "last_check_at": "2019-10-23 14:56:10",
        "meta": {
          "issuer": "TeleSec ServerPass Class 2 CA",
          "signature_algorithm": "RSA-SHA256",
          "is_self_signed": false,
          "valid_from": "2018-12-14 05:30:26",
          "valid_to": "2020-12-19 23:59:59"
        }
      }
    }
  }
]

Retrieve a specific website (monitor)

GET https://pingping.io/webapi/monitors/{id}

Retrieve statistics from a specific website (monitor)

GET https://pingping.io/webapi/monitors/{id}/statistics

Create a website (monitor)

POST https://pingping.io/webapi/monitors

Update a website (monitor)

PUT https://pingping.io/webapi/monitors/{id}

Delete a website (monitor)

DELETE https://pingping.io/webapi/monitors/{id}